Summary: Radius Daemon 
Name: radiusd-cistron
Version: 1.5.4
Release: 1
Copyright: GPL
Source0: ftp://ftp.cistron.nl/pub/people/miquels/radius/radiusd-cistron-1.5.4.tar.gz
Url: http://miquels.www.cistron.nl/radius/ 
Patch0: radius.patch
Group: Network/Utilities
Buildroot: /var/tmp/radius-root

%description
    o Can limit max. number of simultaneous logins on a per-user basis!
    o Multiple DEFAULT entries, that can optionally fall-through.
    o In fact, every entry can fall-through
    o Deny/permit access based on huntgroup users dials into
    o Set certain parameters (such as static IP address) based on huntgroup
    o Extra "hints" file that can select SLIP/PPP/rlogin based on
      username pattern (Puser or user.ppp is PPP, plain "user" is rlogin etc).      o Can execute an external program when user has authenticated (for example
      to run a sendmail queue).
    o Can use `$INCLUDE filename' in users and dictionary files
    o No good documentation at all, just like the original radiusd 1.16!
                                                                          
%prep
%setup -q 
%patch -p1 -b .orig

%build
cd src
make RPM_OPT="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/{bin,sbin}
mkdir -p $RPM_BUILD_ROOT/usr/man/{man1,man5,man8}
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/{raddb,cron.daily,cron.monthly}
        
install -m 755 src/radiusd $RPM_BUILD_ROOT/usr/sbin/radiusd
install -m 755 src/radzap $RPM_BUILD_ROOT/usr/bin
install -m 755 src/radwho $RPM_BUILD_ROOT/usr/bin
install -m 755 src/raduse $RPM_BUILD_ROOT/usr/bin
install -m 755 src/radlast $RPM_BUILD_ROOT/usr/bin
install -m 755 src/radtest $RPM_BUILD_ROOT/usr/bin
install -m 755 src/checkrad.pl $RPM_BUILD_ROOT/usr/sbin/checkrad

mv rc.radiusd radiusd
install -m 755 radiusd $RPM_BUILD_ROOT/etc/rc.d/init.d/
install -m 755 radiusd.cron.daily $RPM_BUILD_ROOT/etc/cron.daily/
install -m 755 radiusd.cron.monthly $RPM_BUILD_ROOT/etc/cron.monthly/ 
install -m 755 radwatch $RPM_BUILD_ROOT/usr/sbin
                
install -m 644 raddb/* $RPM_BUILD_ROOT/etc/raddb
chmod 640 $RPM_BUILD_ROOT/etc/raddb/users
chmod 640 $RPM_BUILD_ROOT/etc/raddb/clients  

install -m 644 doc/*.1 $RPM_BUILD_ROOT/usr/man/man1
install -m 644 doc/*.5rad $RPM_BUILD_ROOT/usr/man/man5
install -m 644 doc/radiusd.8 $RPM_BUILD_ROOT/usr/man/man8
install -m 644 doc/radwatch.8 $RPM_BUILD_ROOT/usr/man/man8     

mkdir -p $RPM_BUILD_ROOT/var/run/ 
mkdir -p $RPM_BUILD_ROOT/var/log/
touch $RPM_BUILD_ROOT/var/run/radiusd.pid
touch $RPM_BUILD_ROOT/var/log/radwtmp
touch $RPM_BUILD_ROOT/var/log/radutmp
touch $RPM_BUILD_ROOT/var/log/radacct

rm -rf doc/*.5rad doc/*.1 doc/*.8 doc/*.8rad

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc README doc/* 
%config /etc/raddb/clients
%config /etc/raddb/dictionary
%config /etc/raddb/dictionary.compat
%config /etc/raddb/dictionary.merit
%config /etc/raddb/hints
%config /etc/raddb/huntgroups
%config /etc/raddb/naslist 
%config /etc/raddb/users
%config /etc/cron.daily/radiusd.cron.daily
%config /etc/cron.monthly/radiusd.cron.monthly
%dir /var/run/radiusd.pid
%dir /var/log/radwtmp
%dir /var/log/radutmp
%dir /var/log/radacct
/etc/rc.d/init.d/radiusd
/usr/bin/
/usr/sbin/
/usr/man/man1/
/usr/man/man5/
/usr/man/man8/

%changelog
* Wed Sep 09 1998 Michael Maher <mike@redhat.com>
- built package
